Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface Issue

All Known Implementing Classes:
  DefaultIssue

    public interface Issue

Implement this interface to create an issue class that your control can return to have the IDE display errors or messages. The values you return from the getDescription and getPrescription methods will be displayed to the control's user in an IDE dialog.
As an alternative implementing this interface in your own class, you can use the `DefaultIssue` class provided with this API.
Note: The Issue interface is part of the WebLogic Workshop Control Development Kit. The Control Development Kit is for users who are creating advanced controls. It is available in your BEA installation in the following directory: BEA_HOME\weblogic81\samples\workshop\ControlDevKit\

Method Summary
`String` | `getDescription()` Returns to the IDE a description of this issue.
`String` | `getPrescription()` Returns to the IDE a prescription for handling this issue.
`boolean` | `isError()` Notifies the IDE whether or not this issue is an error.

Method Detail

### isError

    boolean isError()

  Notifies the IDE whether or not this issue is an error. In general, warnings will be noted in an alert or in the build output, but will not stop processing; errors will require the user to address the problem before proceeding.

  Returns:
    `true` if this issue is an error; `false` if it isn't.

### getDescription

    String getDescription()

  Returns to the IDE a description of this issue.

  Returns:
    A description of the current issue.

### getPrescription

    String getPrescription()

  Returns to the IDE a prescription for handling this issue.

  Returns:
    A message describing how this issue can be solved or avoided.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD